> For the complete documentation index, see [llms.txt](https://docs.antsomi.com/api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.antsomi.com/api-guide/endpoint/profile-api/get-customer-profile.md).

# Get Customer Profile

Retrieve the details of a specific customer profile using their unique identifier.

<mark style="color:blue;">`GET`</mark> `http://api.ants.tech/access/api/profile`

#### Query Parameters

| Name                                              | Type   | Description                                                                                                      |
| ------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------- |
| property\_names<mark style="color:red;">\*</mark> | String | The customer attribute that you are retrieving, separated by a comma each. For example, `customer_id,name,email` |
| customer\_id<mark style="color:red;">\*</mark>    | String | The unique identifier of the customer whose profile you want to retrieve. For example, `104`                     |

#### Headers

| Name                                            | Type   | Description             |
| ----------------------------------------------- | ------ | ----------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer `<ACCESS_TOKEN>` |

{% tabs %}
{% tab title="200: OK The request is succeeded, the server responds with the customer profile" %}

```json
{
    "nodeName": "10.200.0.10:8200",
    "msg": "OK",
    "code": 200,
    "portal_timezone": "Asia/Bangkok",
    "description": "get properties is success",
    "is_cached": true,
    "customer_id": "104",
    "time_lost": "51 ms",
    "version": "20210615",
    "properties": {
        "last_updated": "2023-08-17 14:53:09",
        "date_created": "2020-07-15 04:30:47",
        "name": "TC Serm",
        "customer_id": "104"
    },
    "status": true
}
```

{% endtab %}

{% tab title="403: Forbidden The authorization process is failed, caused by an invalid token, an expired token or a token without the valid scope." %}

```json
{
    "code": 301,
    "message": "Permission denied",
    "data": "You don't have permission to access this request!"
}
```

{% endtab %}
{% endtabs %}
